# PhasicFlow: countFields Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

countFields Class Reference
Collaboration diagram for countFields:
[legend]

## Public Member Functions

| TypeInfo ("countFields")
| countFields (const dictionary &dict)
auto & | dict ()
const auto & | dict () const
const wordList & | variableNames () const
const uint32List & | countedValues () const
bool | process (repository &rep)

## Protected Attributes

dictionary | dict_
wordList | variableNames_
uint32List | countedValues_

## Detailed Description

Definition at line 33 of file countFields.hpp.

## Constructor & Destructor Documentation

## countFields()

countFields | ( | const dictionary & | dict | ) |

Definition at line 27 of file countFields.cpp.

## Member Function Documentation

## TypeInfo()

TypeInfo | ( | "countFields" |  | ) |

## dict() [1/2]

auto& dict | ( |  | ) |

inline

Definition at line 49 of file countFields.hpp.

References countFields::dict_.

## dict() [2/2]

const auto& dict | ( |  | ) | const

inline

Definition at line 54 of file countFields.hpp.

References countFields::dict_.

## variableNames()

const wordList& variableNames | ( |  | ) | const

inline

Definition at line 59 of file countFields.hpp.

References countFields::variableNames_.

Referenced by postprocess::processTimeFolder().

Here is the caller graph for this function:

## countedValues()

const uint32List& countedValues | ( |  | ) | const

inline

Definition at line 63 of file countFields.hpp.

References countFields::countedValues_.

Referenced by postprocess::processTimeFolder().

Here is the caller graph for this function:

## process()

bool process | ( | repository & | rep | ) |

Definition at line 37 of file countFields.cpp.

References pFlow::count(), countField::process(), and dictionary::subDict().

Referenced by postprocess::processTimeFolder().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## dict_

dictionary dict_

protected

Definition at line 37 of file countFields.hpp.

Referenced by countFields::dict().

## variableNames_

wordList variableNames_

protected

Definition at line 39 of file countFields.hpp.

Referenced by countFields::variableNames().

## countedValues_

uint32List countedValues_

protected

Definition at line 41 of file countFields.hpp.

Referenced by countFields::countedValues().

The documentation for this class was generated from the following files:

- utilities/postprocessPhasicFlow/countFields.hpp
- utilities/postprocessPhasicFlow/countFields.cpp